Skip to content
Guides
API reference
stable

Update cart item quantity

PATCH/v1/carts/{cartToken}/items/{cartItemId}

Path Parameters

cartToken*string

Opaque token identifying the cart.

cartItemId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/v1/carts/string/items/string" \  -H "Content-Type: application/json" \  -d '{    "quantity": 3  }'
{  "id": "string",  "token": "string",  "cartNumber": "string",  "email": null,  "phone": null,  "firstName": null,  "lastName": null,  "currencyCode": "string",  "status": "inProgress",  "completedAt": null,  "shippingAddress": null,  "billingAddress": null,  "promotionCodes": [    "string"  ],  "items": [    {      "id": "string",      "productId": null,      "title": "string",      "variantLabel": null,      "productHandle": null,      "thumbnail": null,      "quantity": 0,      "variantId": null,      "variantSku": null,      "unitPrice": 0.1,      "compareAtUnitPrice": null,      "bundleItems": [        {          "productId": "string",          "variantId": "string",          "productName": "string",          "variantName": null,          "sku": null,          "brand": null,          "imageUrl": null,          "quantity": 0        }      ],      "requiresShipping": true    }  ],  "shippingMethods": [    {      "id": "string",      "shippingMethodId": null,      "rateId": null,      "name": "string",      "description": null,      "total": 0.1,      "locationId": null,      "estimatedDays": null,      "pickupPointId": null,      "scheduledDate": null,      "scheduledTime": null,      "serviceCode": null,      "sellerId": null,      "shippingProfileId": null    }  ],  "totals": {    "subtotal": 0.1,    "discountTotal": 0.1,    "shippingOriginalTotal": 0.1,    "shippingTotal": 0.1,    "taxTotal": 0.1,    "warrantyTotal": 0.1,    "total": 0.1  }}